Skip to main content
GET
/
conversation-ai
/
agents
/
search
Search Agents
curl --request GET \
  --url https://services.leadconnectorhq.com/conversation-ai/agents/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "agents": [
    {
      "id": "emp_123",
      "name": "John Doe",
      "mode": "auto-pilot",
      "channels": [
        "SMS",
        "LIVE_CHAT"
      ],
      "waitTime": 30,
      "waitTimeUnit": "seconds",
      "sleepEnabled": false,
      "actions": [
        {
          "id": "action_123",
          "type": "triggerWorkflow"
        }
      ],
      "isPrimary": false,
      "autoPilotMaxMessages": 25,
      "createdAt": "2024-01-01T00:00:00Z",
      "updatedAt": "2024-01-01T00:00:00Z",
      "businessName": "Tech Corp",
      "sleepTime": 2,
      "sleepTimeUnit": "hours",
      "goal": {
        "prompt": "Assist customers",
        "type": "custom",
        "actionId": null
      },
      "knowledgeBaseIds": [
        "kb_123",
        "kb_456"
      ]
    }
  ],
  "totalCount": 100,
  "count": 25
}

Authorizations

Authorization
string
header
required

Access Token or Private Integration Token

Headers

Version
enum<string>
required

API Version

Available options:
2021-04-15

Query Parameters

startAfter
string

Start after is the agent id to start after, Serving as skip, send empty when first page

Example:

"Exampleee123"

limit
number

Records per page

Example:

1

query
string

query to search on agent name, must be provided in lowercase

Example:

"booking"

Response

Successful response

agents
object[]
required

List of agents matching the search criteria.

totalCount
number
required

Total number of agents in the location (unfiltered count).

Example:

100

count
number
required

Number of agents in the current response (filtered/paginated count).

Example:

25

Last modified on March 7, 2026